org.h2.expression.function

## Class MathFunction1

- java.lang.Object
- - org.h2.expression.Expression
  - - org.h2.expression.Operation1
    - - org.h2.expression.function.Function1
      - - org.h2.expression.function.MathFunction1

All Implemented Interfaces:
  NamedExpression, HasSQL, Typed

    public final class MathFunction1
    extends Function1

A math function with one argument and DOUBLE PRECISION result.

### Field Summary

Fields
`static int` `ACOS` ACOS().
`static int` `ASIN` ASIN().
`static int` `ATAN` ATAN().
`static int` `COS` COS().
`static int` `COSH` COSH().
`static int` `COT` COT() (non-standard).
`static int` `DEGREES` DEGREES() (non-standard).
`static int` `EXP` EXP().
`static int` `LN` LN().
`static int` `LOG10` LOG10().
`static int` `RADIANS` RADIANS() (non-standard).
`static int` `SIN` SIN().
`static int` `SINH` SINH().
`static int` `SQRT` SQRT().
`static int` `TAN` TAN().
`static int` `TANH` TANH().

### Fields inherited from class org.h2.expression.Operation1

`arg, type`

### Fields inherited from class org.h2.expression.Expression

`AUTO_PARENTHESES, MAP_IN_AGGREGATE, MAP_IN_WINDOW, MAP_INITIAL, WITH_PARENTHESES, WITHOUT_PARENTHESES`

### Fields inherited from interface org.h2.util.HasSQL

`ADD_PLAN_INFORMATION, DEFAULT_SQL_FLAGS, NO_CASTS, QUOTE_ONLY_WHEN_REQUIRED, REPLACE_LOBS_FOR_TRACE, TRACE_SQL_FLAGS`

### Constructor Summary

Constructors
Constructor and Description
`MathFunction1(Expression arg, int function)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getName()` Get the name.
`Value` `getValue(SessionLocal session)` Return the resulting value for the current row.
`Expression` `optimize(SessionLocal session)` Try to optimize the expression.

### Methods inherited from class org.h2.expression.function.Function1

`getUnenclosedSQL`

### Methods inherited from class org.h2.expression.Operation1

`getCost, getSubexpression, getSubexpressionCount, getType, isEverything, mapColumns, setEvaluatable, updateAggregate`

### Methods inherited from class org.h2.expression.Expression

`addFilterConditions, createIndexConditions, getAlias, getBooleanValue, getColumnName, getColumnNameForView, getEnclosedSQL, getNonAliasExpression, getNotIfPossible, getNullable, getSchemaName, getSQL, getSQL, getSQL, getSQL, getTableAlias, getTableName, getWhenSQL, getWhenValue, isConstant, isIdentity, isNullConstant, isValueSet, isWhenConditionOperand, needParentheses, optimizeCondition, toString, writeExpressions, writeExpressions`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.h2.util.HasSQL

`getTraceSQL`

### Field Detail

#### SIN

    public static final int SIN

SIN().

See Also:
  Constant Field Values

#### COS

    public static final int COS

COS().

See Also:
  Constant Field Values

#### TAN

    public static final int TAN

TAN().

See Also:
  Constant Field Values

#### COT

    public static final int COT

COT() (non-standard).

See Also:
  Constant Field Values

#### SINH

    public static final int SINH

SINH().

See Also:
  Constant Field Values

#### COSH

    public static final int COSH

COSH().

See Also:
  Constant Field Values

#### TANH

    public static final int TANH

TANH().

See Also:
  Constant Field Values

#### ASIN

    public static final int ASIN

ASIN().

See Also:
  Constant Field Values

#### ACOS

    public static final int ACOS

ACOS().

See Also:
  Constant Field Values

#### ATAN

    public static final int ATAN

ATAN().

See Also:
  Constant Field Values

#### LOG10

    public static final int LOG10

LOG10().

See Also:
  Constant Field Values

#### LN

    public static final int LN

LN().

See Also:
  Constant Field Values

#### EXP

    public static final int EXP

EXP().

See Also:
  Constant Field Values

#### SQRT

    public static final int SQRT

SQRT().

See Also:
  Constant Field Values

#### DEGREES

    public static final int DEGREES

DEGREES() (non-standard).

See Also:
  Constant Field Values

#### RADIANS

    public static final int RADIANS

RADIANS() (non-standard).

See Also:
  Constant Field Values

### Constructor Detail

#### MathFunction1

    public MathFunction1(Expression arg,
                         int function)

### Method Detail

#### getValue

    public Value getValue(SessionLocal session)

Description copied from class: `Expression`
Return the resulting value for the current row.

Specified by:
  `getValue` in class `Expression`
Parameters:
  `session` - the session
Returns:
  the result

#### optimize

    public Expression optimize(SessionLocal session)

Description copied from class: `Expression`
Try to optimize the expression.

Specified by:
  `optimize` in class `Expression`
Parameters:
  `session` - the session
Returns:
  the optimized expression

#### getName

    public java.lang.String getName()

Description copied from interface: `NamedExpression`
Get the name.

Returns:
  the name in uppercase